ProMods 2.45 has been released. It runs on game version 1.36 and requires ALL map DLCs. It is not compatible with open beta 1.37.

Please note that due to the COVID-19 pandemic, we are sadly unable to expand our server capacity as per usual and the free download servers are likely to be overwhelmed upon release. Please be kind and patient or use the paid service for a better experience.

ProMods Not compatible

Ask questions about the mod here. If useful they will be added to the Q&A / Development updates.
Forum rules
Please do not post any crashes, malfunctions or other issues with the mod in this forum. If you have any issues with the mod, please post them here. This forum is only for questions/feedback towards the team, not for solving crashes.
User avatar
Volleybal4life
Moderator
Posts: 6849
Joined: 01 Jun 2014 15:49
Donation rank:
Location: Gouda, South Holland, The Netherlands
Contact:

20 Sep 2019 15:54

Yes, you can downgrade your game to version 1.18 and play ProMods 1.91.

ProMods 1.91 can be downloaded over here:
https://www.promods.net/compat.php
Spamming the forum since June 2014



Image
Some say, I'm addicted to ETS2. But then I say. No, it's ProMods, it's a way of life.
No. 3 forum spammer!

You want a game map?
You get a game map! (ETS2 (WIP))
You get a game map! (ATS (WIP))

User avatar
Vøytek
Developer
Posts: 9837
Joined: 05 Jan 2014 19:38
Location: Luboń
Contact:

20 Sep 2019 16:07

But that's not really what I would recommend - you'll lose some features in game that you may be used to. Your profile won't load in an older version, so you have to start from scratch. So there are many downsides.
I suggest you buy those DLCs as soon as possible, because when the next one is released, you'll have to buy it too - and I think it's better to buy one a year, that's barely any cost then ;) You can wait for a sale of course.
Image
Currently working on: various stuff
#1 forum spammer
Enjoying PM since 1.52
YouTube channel [PL]: http://youtube.pl/vooytek

User avatar
OwenJones
Posts: 13
Joined: 01 Jan 2017 16:19
Location: Somewhere Rainy

20 Sep 2019 16:32

It would cost roughly $32 to buy all 5 map dlc when the next sale comes around. $20 if you don't get Beyond the Baltic Sea.

actane
Posts: 7
Joined: 19 Sep 2019 08:57

20 Sep 2019 19:09

From my account it cost 67$, that's too much for me. Can i download them from somewhere ?

User avatar
Trucker2223
Moderator
Posts: 5208
Joined: 16 Apr 2017 13:17
Donation rank:

20 Sep 2019 19:48

The Map DLCs?: No, you've to buy them.
Older ProMods Versions compatbile with less or no DLC requirments?: Yes, here: https://www.promods.net/compat.php Keep in mind that you still need to downgrade your ETS2 Version to the Version required for older Version to run.
No. 4 forum spammer

No Support via PM!!

ProMods Senior Beta Tester since 2.30
ProMods Moderator since 1. January 2019

actane
Posts: 7
Joined: 19 Sep 2019 08:57

20 Sep 2019 20:10

oh

zyprexia
Posts: 107
Joined: 12 Dec 2014 16:14

21 Sep 2019 16:23

You can also buy grey market keys. These are keys for mostly the Asia market, but they also work on European and American stream accounts.
Via Instant-gaming you can buy all 5 DLC's for just under 25 euro, 17 euro is you leave out Beyond the Baltic Sea..

However at the moment they don't have keys for the Going East DLC. When in stock it costs 3.40 euro. The next best thing is to buy the ETS2 Game Of The Year (GOTY) edition which costs 6.33 euro which consists of the ETS2 base game, Going east and a few paint job addons. Swapping Going East for GOTY edition brings the grand total for all five addons to 27,50 euro.

You can of course wait for the Steam Winter sale of when 'Road to the Black Sea' (probably December, maybe last week november which would make it possible to catch the black friday/cyber monday sales) is released when they usually have very good bundle deals to make your collection complete.

Also it is not completely fair to state that you have to pay 67 euro to use the ProMods with ETS2. It is stated very clearly that you need all DLCs to use the latest version of ProMods..
System: Intel i7-6700K @ 4800Mhz, 48GB DDR4 Corsair Vengeance LPX, RTX2060, HP LP2475w monitor (1920x1200)
Devices: Logitech G27, SKRS Shifter, CH Products Throttle Quadrant, Trustmaster Hotas Joystick, TrackIR
Storage: 2 x SM961 - 250GB (raid 0), Samsung 850 pro 1TB disk, Samsung 850 EVO 2TB disk.

User avatar
Vøytek
Developer
Posts: 9837
Joined: 05 Jan 2014 19:38
Location: Luboń
Contact:

21 Sep 2019 16:49

zyprexia wrote:
21 Sep 2019 16:23
You can also buy grey market keys
SCS discourages this idea. They lose money, those keys are usually bought using fake/stolen credit cards and if we all start buying keys on such websites, SCS will just go bankrupt instead of growing bigger... There was an article about it not a long time ago. Always go for official keys if you want to be sure you pay SCS for the product.
Image
Currently working on: various stuff
#1 forum spammer
Enjoying PM since 1.52
YouTube channel [PL]: http://youtube.pl/vooytek

m1stizzy11
Posts: 1
Joined: 25 Oct 2019 14:39

03 Nov 2019 22:09

when i try add the mods it says its incompatible with the current version someone pls help

User avatar
ScuL
Founder
Posts: 8144
Joined: 31 Jul 2013 23:51
Location: Auckland, New Zealand

03 Nov 2019 23:10

Click the I (INFO) button in the mod manager and the game will tell you what is not compatible
I am Image Dutch living in Image New Zealand and I speak Image EN Image DE Image SE Image FR
Image



Locked
  • Information